package de.ugoe.cs.swe.exercises.lecture;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.ISharedImages;
import org.eclipse.ui.PlatformUI;

public class LectureLabelProvider extends LabelProvider implements ITableLabelProvider {
	public String getColumnText(Object obj, int index) {

		Lecture lecture = (Lecture) obj;

		switch (index) {
		case 0:
			return String.valueOf(lecture.getName());
		}

		return null;
	}

	public Image getColumnImage(Object obj, int index) {
		return null;
	}

	@Override
	public Image getImage(Object obj) {
		return PlatformUI.getWorkbench().getSharedImages().getImage(
				ISharedImages.IMG_OBJ_ELEMENT);
	}
}